



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Docker for Windows(五)实践搭建SqlServer服务&amp;执行数据库操作</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Docker for Windows(五)实践搭建SqlServer服务&amp;执行数据库操作</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 20:52:52 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>上一篇我们已经搭建了一个mysql数据库服务了：<a href="https://www.cnblogs.com/stilldream/p/10637008.html" rel="external nofollow noreferrer">Docker for Windows(四)实践搭建&amp;删除MySQL服务</a>，发现用Docker确实是方便且容易，但上一篇主要是服务的搭建删除等基础操作，而且用Docker搭建好的mysql数据库我用navicat直接建库或建表会报错（原因未知，如果有清楚原因的希望能够告知一下），所以在这一篇我记录一下如何用Docker在搭建好的SqlServer数据库服务上执行数据库操作，具体包含建库和建表。<br /><strong>一、下载SqlServer并启动</strong><br /><strong>docker pull microsoft/mssql-server-linux</strong>　　下载SqlServer</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1535260/201904/1535260-20190413112346228-1133103875.png" /><br /><strong>docker run -e 'ACCEPT_EULA=Y' -e 'SA_PASSWORD=Test1234' -p 1433:1433 --name mssql -d microsoft/mssql-server-linux</strong><br />ACCEPT_EULA=Y，表示接受最终用户许可协议；SA_PASSWORD=Test1234，表示设置sa用户的密码为Test1234。这个用户密码要符合强密码规范（数字、字母、大小写，至少8个字符）<br /><strong>docker ps	</strong>　　				查看mssql数据库服务是否启动</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1535260/201904/1535260-20190413112511208-693865236.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1535260/201904/1535260-20190413113331302-1119550490.png" /><br /><strong>二、建库和建表</strong><br /><strong>docker exec -it mssql "bash"	</strong>　　		进入容器<br /><strong>/opt/mssql-tools/bin/sqlcmd -S localhost -U SA -P 'Test1234'	</strong>　　执行数据库操作，localhost可以换成对应IP地址<br /><strong>1&gt; CREATE DATABASE dockerdb01</strong><br /><strong>2&gt; go</strong><br />创建数据库dockerdb01成功<br /><strong>1&gt; use dockerdb01</strong><br /><strong>2&gt; create table user(id int,code nvarchar(255),name nvarchar(255));</strong><br /><strong>3&gt; go</strong><br />创建表user成功<br /><strong>三、连接数据库查看</strong></p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1535260/201904/1535260-20190413113804268-1725662507.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqllw1qo.html">mybatis&lowbar;开发篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96y5ry8.html">js日期时间计算天数</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mzze0q.html">IEnumerable  遍历用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql6220q.html">iOS  验证邮箱手机号格式</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mp571q.html">Lucene站内搜索的设计思路</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m23nj8.html">HDU 5821 Ball</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j25oo8.html">ssh整合时报出的异常及解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy15gmmq.html">ASP&period;NET Core 菜鸟之路：从Startup&period;cs说起</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gegwo08.html">完美结合 Redux 与 React-router &lpar;react-router不切换页面&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg6oy48.html">html基础知识笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1ke1g29.html">Java中解决前端的跨域请求问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojxg35q.html">Javascript获取服务器时间</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5gnvdq.html">（转）get和post的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jzk6eq.html">使用百度ocr接口识别验证码</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jjr55q.html">DropDownList按照Gridview获取数据获取到的是定义格式</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wgnlzq.html">整合Spring框架和MyBatis框架</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rk0x39.html">middleware&num;52</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ko7dnrq.html">echarts柱状图，改变柱状颜色</a>
		</li>
						<li><a href="https://www.batexi.com/a/95prjvvq.html">Nginx配置性能优化（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jezr1e8.html">Chrome与Firefox对于时间处理的不同</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8mjkvw68.html">php文件每隔几秒执行一次</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rn7l3mq.html">【xsy1122】 路径 点分治&plus;trie</a>
			</li>
						<li><a href="https://www.batexi.com/a/qx2yg108.html">POJ 2253</a>
			</li>
						<li><a href="https://www.batexi.com/a/ql1v4y19.html">【树】Kth Smallest Element in a BST（递归）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvek4ky9.html">Http编程（二）使用Apache 的API实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ed66j9.html">tensorflow VocabularyProcessor</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mjkorr8.html">java面试④数据库部分</a>
			</li>
						<li><a href="https://www.batexi.com/a/93p3o0g8.html">JDK动态代理&lbrack;2&rsqb;----JDK动态代理的底层实现之Proxy源码分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/ql1wmlk9.html">Linux errno详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kokp05q.html">src或者href值为base64编码代码</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
